maestro_Multifruit = {}
local modDirectory = g_currentModDirectory

function maestro_Multifruit.registerFruitTypes(self, superFunc)
    superFunc(self)

    local xml = loadXMLFile("maestro_Multifruit", modDirectory.."fruitTypes.xml")
    g_fruitTypeManager:loadFruitTypes(xml, nil, false)
    delete(xml)
end

FruitTypeManager.loadDefaultTypes = Utils.overwrittenFunction(FruitTypeManager.loadDefaultTypes, maestro_Multifruit.registerFruitTypes)